/*
 * Dapple ][ Emulator  Version 0.07a
 * Copyright (C) 2002, 2003 Dapple ][ Development.  All rights reserved.
 *
 * Component:  PIC: Parallel interface
 * Revision:   (0.07a) 2003.0203
 * History:
 *   0.05 uso.                  Imported from Dapple 1.25
 *   0.07a uso.                 Linted
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stdio.h>
#include <string.h>

void WriteParallel( unsigned int Address, unsigned char Data )
{
 switch ( Address & 0x0f )
 {
  case 0x00: /* load output port */
   fputc(Data&0x7F,stdprn);
   fflush(stdprn);
   break;
 }
}
